Subject: Re: BUG: check-ref-format and rev-parse can not handle branches with an @ in their name combined with @{u}

From: Junio C Hamano <[email-masked]>
Date: Tue, 14 Jan 2014 15:45:27 -0800

Keith Derrick <[email-masked]> writes:

> I couldn't find a duplicate in the JIRA instance.

Don't worry, we do not use any JIRA instance ;-)

> According to the documentation of check-ref-format, a branch name such 
> as @mybranch is valid.

Correct.

> Yet 'git check-ref-format --branch @mybranch@{u}' 
> claims @mybranch is an invalid branch name.

I do not think it claims any such thing.

    $ git check-ref-format --branch @foo@{u}; echo $?
    fatal: '@foo@{u}' is not a valid branch name
    128
    $ git check-ref-format --branch @foo; echo $?
    @foo
    0

The former asks "Is the string '@foo@{u}' a suitable name to give a
branch?" and the answer is no.  The latter asks the same question
about the string '@foo', and the answer is yes.

So I do not see any bug here.